<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?php 
require_once "../includes/begin.php";
require_once "../includes/functions.php"; 
require_once "../includes/permissao.php";

inibeAcesso(array("administrador","coordenadoria"));

$action = $_GET['action'];
if($action == 'filtro')
{	
	$selCoord	 		= getValuePost('selCoord');
	$nomeFuncionario	= getValuePost('nomeFuncionario');
	$loginFuncionario	= getValuePost('loginFuncionario');
	//echo $selcoordenadoria;exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=latin-1" />
<title>SEMED - Sistema de Matr�cula Escolar</title>
<link href="../stylo.css" rel="stylesheet" type="text/css" />
<?
include "../includes/config3.php";
?>
<style type="text/css">
<!--
.style1 {color: #FF0000}
-->
</style>
<link type="text/css" rel="stylesheet" href="../js/dhtmlgoodies_calendar/dhtmlgoodies_calendar.css?random=20051112" media="screen"></link>
<script type="text/javascript" src="../js/dhtmlgoodies_calendar/dhtmlgoodies_calendar.js?random=20060118"></script>
<script type="text/javascript" src="../js/functions.js"></script>
<script type="text/javascript" src="../js/jquery.js"></script>
<script type="text/javascript">

function validaExclusao()
{
	return confirm("Tem certeza que deseja excluir esse funcion�rio?");
}
function novo()
{
	window.location.replace("funcionariocoord.php");	
}

function onlyDigit(v)
{
	v=v.replace(/\D/g,"");
	return v;
 }

var nomeFuncionario = '<?php if($action == 'filtro') echo $nomeFuncionario?>';
var loginFuncionario = '<?php if($action == 'filtro') echo $loginFuncionario?>';

function disableFilter()
{
	if(document.getElementById('selCoord').value != '')
	{
		nomeFuncionario = document.getElementById('nomeFuncionario').value;
		loginFuncionario = document.getElementById('loginFuncionario').value;

		document.getElementById('nomeFuncionario').value = '';
		document.getElementById('loginFuncionario').value = '';

		document.getElementById('nomeFuncionario').disabled = true;
		document.getElementById('loginFuncionario').disabled = true;
	}
	else
	{
		document.getElementById('nomeFuncionario').value = nomeFuncionario;
		document.getElementById('loginFuncionario').value = loginFuncionario;
		
		document.getElementById('nomeFuncionario').disabled = false;
		document.getElementById('loginFuncionario').disabled = false;
	}
}

function limpa_campos()
{
	document.getElementById('selCoord').value = '';
	document.getElementById('nomeFuncionario').value = '';
	document.getElementById('loginFuncionario').value = '';

	nomeFuncionario = '';
	loginFuncionario = '';

	disableFilter();
}

$(document).ready(function() 
{
	disableFilter();
});
</script>
</head>

<body topmargin="0" leftmargin="0">

	<div id="container">
		<div id="body">
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
	  			<tr>
	    			<td><? include "../includes/config2.php"; ?></td>
	  			</tr>
				<tr>
					<td class="titulos"><div align="center" class="titulos2">
						<p>.:: LISTAGEM DE FUNCION�RIOS DE COORDENADORIAS  ::.<br />
						Educa��o Infantil e Ensino Fundamental<br />
						Prefeitura da Cidade de Nova Igua�u<br />
						Matr�cula <?=date("Y");?></p>
					</div></td>
				</tr>
			</table>
		<form name="pesquisaFuncionarioCoord" method="post" action="listagemfuncionariocoord.php?action=filtro" enctype="application/x-www-form-urlencoded">		
		<table border="0" style="margin-left:150px;">
		<tr>
			<td><font color="#003366" face="arial">Coordenadorias com Funcion�rios</font></td>
			<td><label>
			<select class="campos2" name="selCoord" id="selCoord" onchange="javascript:disableFilter();">
				<option value="">-- Selecione uma Coordenadoria --</option>
				<?php 
					//$sql = "select nomecoordenadoria from mat_coordenadoria ORDER BY nomecoordenadoria";
					$sql = "SELECT coord.\"codCoordenadoria\", coord.\"nomeCoordenadoria\" 
								FROM \"mat_funcionarioCoordenadoria\" funcoord INNER JOIN mat_coordenadoria coord 
									ON (funcoord.codcoordenadoria = coord.\"codCoordenadoria\") 
								GROUP BY coord.\"codCoordenadoria\", coord.\"nomeCoordenadoria\" 
								ORDER BY coord.\"nomeCoordenadoria\"";
					$result = executaQuery($dbh,$sql);
									
					while( ($row = pg_fetch_array($result)) )
					{
						$selected='';
						if($action == 'filtro' && $row["codCoordenadoria"] == $selCoord)
							$selected='selected';
				?>
											
						<option value='<?= $row["codCoordenadoria"] ?>' <?php echo $selected?>><?= $row["nomeCoordenadoria"] ?></option>
				<?php 
					}
				?>
			</select>
			</label></td>
		</tr>
		<tr>
			<td><font color="#003366" face="arial">Nome do Funcion�rio</font></td>
			<td><label>
			<input class="campos2" id="nomeFuncionario" name="nomeFuncionario" type="text" size="46" value="" onkeypress="mascara(this,textolivre)"/>
			</label></td>
		</tr>
		<tr>
			<td><font color="#003366" face="arial">Login do Funcion�rio</font></td>
			<td><label>
			<input class="campos2" id="loginFuncionario" name="loginFuncionario" type="text" size="46" value="" onkeypress="mascara(this,textolivre)"/>
			</label></td>
		</tr>
		
		  <tr>
          <td>&nbsp;</td>
          <td>
          	<input name="Submit" type="submit" class="botao" value="Procurar"/>
          	<input name="Reset" type="button" onclick="javascript:limpa_campos();" class="botao" value="Limpar"/>
          </td>
        </tr>
		</table>
		</form>			
<?php 
           	if($action == 'filtro')
          	{
	       		$sql = "SELECT  funcoord.codfuncionario,
	       						funcoord.nome AS nomefuncionario,
	       						coord.\"nomeCoordenadoria\"
	       				FROM \"mat_funcionarioCoordenadoria\" funcoord
	       					INNER JOIN mat_coordenadoria coord
	       						ON (funcoord.codcoordenadoria = coord.\"codCoordenadoria\")
	       				WHERE funcoord.removido = false";

	       		$initFilter = 0;
          		if($selCoord != '')
          		{
          			$initFilter = 1;
          			$sql .= ' AND funcoord.codcoordenadoria = '.$selCoord;
          		}
          		else
          		{
		       		if($nomeFuncionario != '')
	          		{
	          			$initFilter = 1;
	          			$sql .= ' AND funcoord.nome ILIKE \'%'.$nomeFuncionario.'%\'';
	          		}
		       		if($loginFuncionario != '')
	          		{
	          			$initFilter = 1;
	          			$sql .= ' AND funcoord.login ILIKE \'%'.$loginFuncionario.'%\'';
	          		}
          		}
          		//echo $sql; exit;
				
          		if($initFilter)
          		{
          		
					@$resultado = executaQuery($dbh, $sql) or die ("N�o foi poss�vel executar a consulta");
					$resValido = 0;

				?>
				
					<table class="listagem" border="0" align="center" cellpadding="0" cellspacing="0">
						<thead>			         
					        <tr>
					          <th colspan="1">Op��es</th>
					          <th>Nome</th>
					          <th>Coordenadoria</th>					                
					        </tr>
					    </thead>
					    <tbody>              
				<?
					while ($linha = pg_fetch_array($resultado)) 
					{
						$resValido = 1;
				?>
						<tr>
			          		<td align=center><a href='funcionariocoord.php?acao=remover&codigo=<?= $linha["codfuncionario"]?>' onclick='return validaExclusao()'>remover</a></td>
			          		<td><div align=center><? echo $linha["nomefuncionario"] ?></div></td>
					 		<td><div align=center><? echo $linha["nomeCoordenadoria"] ?></div></td>
		         		</tr>
		         <?
					}
					if(!$resValido)
					{
				?>
						<tr><td align=center colspan=4>Nenhuma coordenadoria encontrada!</td></tr>
				<?
					}
				?>
						</tbody>
						<tfoot>
							<tr>
								<td colspan="4">
									&nbsp;
								</td>
							</tr>
						</tfoot>
			      </table>
				<?					
					pg_freeresult($resultado);
					pg_close($dbh);
          		}
          	}
		  if(($action != 'filtro') || $initFilter==0)
				{
				?>
					<p align=center>Listagem vazia. Favor preencher os campos de filtro para iniciar uma busca.</p>
				<?
				}
				?>
		  	<div align='center'>
		  		<input type='button' value='Cadastrar novo Funcion�rio' class="botao" onclick='novo();'></input>
  			</div>
	</div>
			
	<div id="footer"><? include "../includes/rodape.php"; ?></div>
	</div></body>
</html>
